import QtQuick 1.1
import com.nokia.meego 1.0
import QtMobility.sensors 1.1

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait

    Compass {
        id: compas
        active: true
        onReadingChanged: {
            az.text = qsTr("Azimuth: ") + compas.reading.azimuth
            cal.text = qsTr("Calibration: ") + Math.ceil(compas.reading.calibrationLevel*100) + "%"
            brujula.rotation = -compas.reading.azimuth
        }
    }

    Label {
        id: title
        anchors.top: parent.top
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Brujula")
    }

    Label {
        id: paused
        anchors.centerIn: parent
        text: qsTr("PAUSED")
        scale: 4
        visible: false
    }

    Item {
        id: brujula
        visible: true
        width: Math.min(parent.width, parent.height)*0.8
        height: Math.min(parent.width, parent.height)*0.8
        anchors.centerIn: parent
        Label {
            id: norte
            anchors.top: parent.top
            anchors.horizontalCenter: parent.horizontalCenter
            color: "red"
            text: qsTr("Nord")
        }
        Label {
            id: sur
            anchors.bottom: parent.bottom
            anchors.horizontalCenter: parent.horizontalCenter
            color: "blue"
            text: qsTr("South")
        }
        Label {
            id: oeste
            anchors.left: parent.left
            anchors.verticalCenter: parent.verticalCenter
            color: "blue"
            text: qsTr("West")
        }
        Label {
            id: este
            anchors.right: parent.right
            anchors.verticalCenter: parent.verticalCenter
            color: "blue"
            text: qsTr("Est")
        }
        Rectangle {
            id: indicador
            anchors.centerIn: parent
            width: 10
            height: parent.width * 0.8
            gradient: Gradient {
                GradientStop { position: 0.0; color: "red" }
                GradientStop { position: 1.0; color: "blue" }
            }
        }
    }

    Label {
        id: az
        anchors.left: parent.left
        anchors.leftMargin: 10
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 10
    }

    Label {
        id: cal
        anchors.right: parent.right
        anchors.rightMargin: 10
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 10
    }

    Connections {
        target: platformWindow
        onActiveChanged: {
            if (platformWindow.active) {
                paused.visible = false
                compas.active = true
                brujula.visible = true
                az.visible = true
                cal.visible = true
            } else {
                paused.visible = true
                compas.active = false
                brujula.visible = false
                az.visible = false
                cal.visible = false
            }
        }
    }
}
